#import "MyObject.h"

@implementation MyObject

- (IBAction)myAction:(id)sender
{
	NSURLHandle *pathURLHandle;
	NSData *searchData;
	NSString *urlString;
	NSArray *statusStrings = [NSArray arrayWithObjects:@"Not Loaded", @"Succeeded", @"In Progress", @"Failed", nil];
	NSURLHandleStatus status;

	if ( [ myOutlet1 state] == NSOnState) {
		urlString = [ myOutlet1 title];
	} else {
		urlString = [ myOutlet2 title];
	}
    
	NSURL *pathURL = [ NSURL URLWithString:urlString];
	if (pathURL == nil) {
		NSBeep();
		return;
	}
	pathURLHandle = [ pathURL URLHandleUsingCache:YES];
	[pathURLHandle loadInForeground];	
	status = [ pathURLHandle status];
	
	if (status == NSURLHandleLoadSucceeded) {
		searchData = [ pathURLHandle resourceData];
		NSImage *image = [[[ NSImage alloc] initWithData:searchData] autorelease];
		if ([ image isValid]) {
			[myOutlet setImage:image];
		} else {
			NSBeep();
		}
	} else {
		NSBeep();
		NSLog(@"status1: %@", [ statusStrings objectAtIndex:status]);
	}
}

@end
